> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/radar/phone-intelligence.md).

# Phone Intelligence

## Get Phone Intelligence

<mark style="color:green;">`POST`</mark> `{{Base URL}}/intelligence/complete-profile-check`

#### Headers

| Name                                            | Type   | Description   |
| ----------------------------------------------- | ------ | ------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Token 1626342 |

#### Request Body

| Name                                            | Type   | Description                                    |
| ----------------------------------------------- | ------ | ---------------------------------------------- |
| phone\_number<mark style="color:red;">\*</mark> | String | This should be 'Phone number'. Ex: 08033010101 |

{% tabs %}
{% tab title="200: OK Exact response" %}

```json
{
    "code": "00",
    "message": "Successful",
    "status": true,
    "data": {
        "id": 14,
        "request_text": {
            "phone_number": "email@gmail.com"
        },
        "request_file": "https://idradar-bucket.s3.amazonaws.com/prod-static/checks/profile-checks/request_a1d4b7b2-156c-4c7e-b563-j3n.json",
        "response_file": "https://idradar-bucket.s3.amazonaws.com/prod-static/checks/profile-checks/response_dedfdd52-f222-4dd7-8570-232.json",
        "created_at": "2022-11-26T00:17:21.282972+01:00",
        "updated_at": "2022-11-26T00:17:22.144358+01:00"
    }
}
```

{% endtab %}

{% tab title="200: OK Content in file" %}

```javascript
{
    "status": true,
    "response_code": "00",
    "message": "Successful",
    "data": {
        "basic": {
            "valid": true,
            "number": "2348030000000",
            "local_format": "08030000000",
            "international_format": "+2348030000000",
            "country_prefix": "+234",
            "country_code": "NG",
            "country_name": "Nigeria (Federal Republic of)",
            "location": "",
            "carrier": "MTN Nigeria Communications Ltd",
            "line_type": "mobile"
        },
        "socials": [
            "facebook.com",
            "twitter.com",
            "linkedin.com",
            "instagram.com",
            "vk.com"
        ],
        "other_social_media": {
            "is_registered": true,
            "profile_picture": "",
            "contact_info": {
                "businessProfile": {
                    "id": {
                        "server": "c.us",
                        "user": "2348030000000",
                        "_serialized": "2348030000000@c.us"
                    },
                    "tag": "4107712435",
                    "description": "I solve problems with Python and Javascript.\nI am your favourite software engineer👨🏻‍💻",
                    "categories": [
                        {
                            "id": "176831012360626",
                            "localized_display_name": "Professional Service"
                        }
                    ],
                    "profileOptions": {
                        "commerceExperience": "none",
                        "cartEnabled": true
                    },
                    "email": "email@email.com",
                    "website": [
                        "https://sitelink.com"
                    ],
                    "latitude": 6.5244,
                    "longitude": 3.3792,
                    "businessHours": {
                        "config": {
                            "sun": {
                                "mode": "open_24h"
                            },
                            "mon": {
                                "mode": "open_24h"
                            },
                            "tue": {
                                "mode": "open_24h"
                            },
                            "wed": {
                                "mode": "open_24h"
                            },
                            "thu": {
                                "mode": "open_24h"
                            },
                            "fri": {
                                "mode": "open_24h"
                            },
                            "sat": {
                                "mode": "open_24h"
                            }
                        },
                        "timezone": "Africa/Lagos"
                    },
                    "address": "Lagos, Nigeria",
                    "fbPage": {},
                    "igProfessional": {},
                    "isProfileLinked": false,
                    "customUrlPaths": [],
                    "coverPhoto": null
                },
                "id": {
                    "server": "c.us",
                    "user": "23480",
                    "_serialized": "2348030000000@c.us"
                },
                "number": "2348030000000",
                "isBusiness": true,
                "isEnterprise": false,
                "labels": [],
                "pushname": "Segun Isreal A.",
                "type": "in",
                "verifiedLevel": 0,
                "verifiedName": "Segun Isreal A.",
                "isMe": true,
                "isUser": true,
                "isGroup": false,
                "isWAContact": true,
                "isMyContact": false,
                "isBlocked": false
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/radar/phone-intelligence.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
